We just upgraded Apache and mod_perl to the 2.x level and now AuthDBI does
not work. Instead it produces the following in the Apache error log.

================================================== =====================
Can't locate object method "get_basic_auth_pw" via package
"Apache2::RequestRec" at /usr/lib/perl5/site_perl/5.8.8/Apache/AuthDBI.pm
line 219.
================================================== =====================

Any help, pointers, etc. will be most appreciated. Even just to learn
that AuthDBI cannot work with mod_perl 2, if that's the case, would be
helpful.

Thanks.
--Todd White